%define upstream_name    Thread-Queue
%define upstream_version 3.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Thread-safe queues
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(Thread::Queue) = %perl_convert_version %{upstream_version}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.500.0
BuildRequires: perl(Thread::Semaphore)
BuildRequires: perl(threads::shared) >= 1.210.0
BuildArch:  noarch

%description
This module provides thread-safe FIFO queues that can be accessed safely by
any number of threads.

Any data types supported by the threads::shared manpage can be passed via
queues:

* Ordinary scalars

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.20.0-2.mga4
+ Revision: 537504
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 3.20.0-1.mga4
+ Revision: 487122
- update to 3.02

* Wed Mar 27 2013 jquelin <jquelin> 3.10.0-3.mga3
+ Revision: 405576
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.10.0-2.mga3
+ Revision: 374264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 3.10.0-1.mga3
+ Revision: 315711
- update to 3.01

* Fri Feb 18 2011 jquelin <jquelin> 2.120.0-2.mga1
+ Revision: 53662
- rebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.120.0-1.mga1
+ Revision: 36619
- mageia rebuild
- imported package perl-Thread-Queue

